Bug 1030297 - dnf doesn't support http urls
Summary: dnf doesn't support http urls
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdeněk Pavlas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-14 10:05 UTC by Jiri Moskovcak
Modified: 2015-02-01 22:56 UTC (History)
8 users (show)

Fixed In Version: dnf-0.4.8-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-24 23:42:17 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jiri Moskovcak 2013-11-14 10:05:11 UTC
Description of problem:
I wanted to install rpm available over http and dnf failed to open it, but if I call rpm directly it installed it without any problem.

Version-Release number of selected component (if applicable):
dnf-0.3.11-3.git7bdc9e1.fc19.noarch

How reproducible:
100%

Steps to Reproduce:
[10:46:13 root@localhost ~]$ dnf install http://ovirt.org/releases/ovirt-release-fedora.noarch.rpm
Setting up Install Process
Cannot open: http://ovirt.org/releases/ovirt-release-fedora.noarch.rpm. Skipping.
Error: Nothing to do
[10:46:18 root@localhost ~]$ rpm -ivh http://ovirt.org/releases/ovirt-release-fedora.noarch.rpm
Retrieving http://ovirt.org/releases/ovirt-release-fedora.noarch.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:ovirt-release-fedora-0:8-1       ################################# [100%]
Actual results:


Expected results:
dnf being abel to install the package from any url (ftp, http, ...)

Additional info:
There is a python library for opening files from urls http://docs.python.org/2/library/urllib.html, it should be able to handle both local and remote files.

Comment 1 Zdeněk Pavlas 2013-11-14 10:56:29 UTC
Surprisingly, it works in Yum.. but it's kind of hack.. Yum downloads the package to a temp dir first, and installed as if "yum localinstall" was invoked.

Loaded plugins: langpacks, refresh-packagekit, tmprepo
ovirt-release-fedora.noarch.rpm                          | 7.7 kB     00:00     
Examining /var/tmp/yum-root-sJFDTW/ovirt-release-fedora.noarch.rpm: ovirt-release-fedora-8-1.noarch
Marking /var/tmp/yum-root-sJFDTW/ovirt-release-fedora.noarch.rpm to be installed
Resolving Dependencies
--> Running transaction check
---> Package ovirt-release-fedora.noarch 0:8-1 will be installed
--> Finished Dependency Resolution

I think we can implements something similiar in dnf, too.

Comment 2 Zdeněk Pavlas 2013-11-19 12:29:45 UTC
Implemented in: 6b656d7 Handle remote URLs. (RhBug:1030297)

Comment 3 Fedora Update System 2013-11-21 15:56:14 UTC
dnf-0.4.8-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dnf-0.4.8-1.fc20

Comment 4 lnie 2013-11-22 04:36:54 UTC
fixed with dnf-0.4.8-1.fc20

Comment 5 Fedora Update System 2013-11-24 04:04:06 UTC
Package dnf-0.4.8-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing dnf-0.4.8-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22052/dnf-0.4.8-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-11-24 23:42:17 UTC
dnf-0.4.8-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.